Eclipse Platform Release 3.7

## org.eclipse.core.runtime.model
Class PluginPrerequisiteModel

    java.lang.Object
      org.eclipse.core.runtime.model.PluginModelObject
          org.eclipse.core.runtime.model.PluginPrerequisiteModel

Deprecated. In Eclipse 3.0 the runtime was refactored and all non-essential elements removed. This class provides facilities primarily intended for tooling. As such it has been removed and no directly substitutable API provided.

    public class PluginPrerequisiteModel

extends PluginModelObject

An object which represents the relationship between a plug-in and a prerequisite plug-in in the dependent's plug-in manifest.

This class may be instantiated, or further subclassed.

Field Summary
`static byte` `PREREQ_MATCH_COMPATIBLE` Deprecated.
`static byte` `PREREQ_MATCH_EQUIVALENT` Deprecated.
`static byte` `PREREQ_MATCH_GREATER_OR_EQUAL` Deprecated.
`static byte` `PREREQ_MATCH_PERFECT` Deprecated.
`static byte` `PREREQ_MATCH_UNSPECIFIED` Deprecated.

Constructor Summary
`PluginPrerequisiteModel()` Deprecated. Creates a new plug-in prerequisite model in which all fields are `null`.

Method Summary
`boolean` `getExport()` Deprecated. Returns whether or not the code in this pre-requisite is exported.
`boolean` `getMatch()` Deprecated. - use getMatchByte
`byte` `getMatchByte()` Deprecated. Returns a byte code indicating the type of match this pre-requisite requires.
`boolean` `getOptional()` Deprecated. Returns whether this pre-requisite is optional.
`String` `getPlugin()` Deprecated. Returns the plug-in identifier of the prerequisite plug-in.
`String` `getResolvedVersion()` Deprecated. Returns the resolved version of the prerequisite plug-in.
`String` `getVersion()` Deprecated. Returns the version name of this plug-in.
`void` `setExport(boolean value)` Deprecated. Sets whether or not the code in this pre-requisite is exported.
`void` `setMatch(boolean value)` Deprecated. use setMatchByte
`void` `setMatchByte(byte value)` Deprecated. Sets whether or not this pre-requisite requires an exact match.
`void` `setOptional(boolean value)` Deprecated. Sets whether this pre-requisite is optional.
`void` `setPlugin(String value)` Deprecated. Sets the plug-in identifier of this prerequisite plug-in.
`void` `setResolvedVersion(String value)` Deprecated. Sets the resolved version of the prerequisite plug-in.
`void` `setVersion(String value)` Deprecated. Sets the version name of this plug-in prerequisite.

Methods inherited from class org.eclipse.core.runtime.model.PluginModelObject
`assertIsWriteable, getName, getStartLine, isReadOnly, markReadOnly, setLocalizedName, setName, setStartLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PREREQ_MATCH_UNSPECIFIED

    public static final byte PREREQ_MATCH_UNSPECIFIED

  Deprecated.
  See Also:
    Constant Field Values

### PREREQ_MATCH_PERFECT

    public static final byte PREREQ_MATCH_PERFECT

  Deprecated.
  See Also:
    Constant Field Values

### PREREQ_MATCH_EQUIVALENT

    public static final byte PREREQ_MATCH_EQUIVALENT

  Deprecated.
  See Also:
    Constant Field Values

### PREREQ_MATCH_COMPATIBLE

    public static final byte PREREQ_MATCH_COMPATIBLE

  Deprecated.
  See Also:
    Constant Field Values

### PREREQ_MATCH_GREATER_OR_EQUAL

    public static final byte PREREQ_MATCH_GREATER_OR_EQUAL

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### PluginPrerequisiteModel

    public PluginPrerequisiteModel()

  Deprecated.
  Creates a new plug-in prerequisite model in which all fields are `null`.

Method Detail

### getExport

    public boolean getExport()

  Deprecated.
  Returns whether or not the code in this pre-requisite is exported.

  Returns:
    whether or not the code in this pre-requisite is exported

### getMatch

    public boolean getMatch()

  Deprecated. - use getMatchByte

  Returns whether or not this pre-requisite requires an exact match.

  Returns:
    whether or not this pre-requisite requires an exact match

### getMatchByte

    public byte getMatchByte()

  Deprecated.
  Returns a byte code indicating the type of match this pre-requisite requires. The byte code can be any one of the following: PREREQ_MATCH_UNSPECIFIED initial value PREREQ_MATCH_PERFECT perfectly equal match PREREQ_MATCH_EQUIVALENT equivalent match PREREQ_MATCH_COMPATIBLE compatible match PREREQ_MATCH_GREATER_OR_EQUAL greater than or equal to match

  Returns:
    a byte code indicating the type of match this pre-requisite requires
  Since:
    2.0

### getOptional

    public boolean getOptional()

  Deprecated.
  Returns whether this pre-requisite is optional.

  Returns:
    whether this pre-requisite is optional

### getPlugin

    public String getPlugin()

  Deprecated.
  Returns the plug-in identifier of the prerequisite plug-in.

  Returns:
    the plug-in identifier or `null`

### getResolvedVersion

    public String getResolvedVersion()

  Deprecated.
  Returns the resolved version of the prerequisite plug-in. The returned value is in the format specified by `PluginVersionIdentifier`.

  Returns:
    the version of the prerequisite plug-in
  See Also:
    `PluginVersionIdentifier`

### getVersion

    public String getVersion()

  Deprecated.
  Returns the version name of this plug-in.

  Returns:
    the version name of this plug-in or `null`

### setExport

    public void setExport(boolean value)

  Deprecated.
  Sets whether or not the code in this pre-requisite is exported. This object must not be read-only.

  Parameters:
    `value` - whether or not the code in this pre-requisite is exported

### setMatch

    public void setMatch(boolean value)

  Deprecated. use setMatchByte

  Sets whether or not this pre-requisite requires an exact match. This object must not be read-only.

  Parameters:
    `value` - whether or not this pre-requisite requires an exact match

### setMatchByte

    public void setMatchByte(byte value)

  Deprecated.
  Sets whether or not this pre-requisite requires an exact match. This object must not be read-only.

  Parameters:
    `value` - whether or not this pre-requisite requires an exact match
  Since:
    2.0

### setOptional

    public void setOptional(boolean value)

  Deprecated.
  Sets whether this pre-requisite is optional. This object must not be read-only.

  Parameters:
    `value` - whether this pre-requisite is optional

### setPlugin

    public void setPlugin(String value)

  Deprecated.
  Sets the plug-in identifier of this prerequisite plug-in. This object must not be read-only.

  Parameters:
    `value` - the prerequisite plug-in identifier. May be `null`.

### setResolvedVersion

    public void setResolvedVersion(String value)

  Deprecated.
  Sets the resolved version of the prerequisite plug-in. The given value is in the format specified by `PluginVersionIdentifier`.

  Parameters:
    `value` - the version of the prerequisite plug-in
  See Also:
    `PluginVersionIdentifier`

### setVersion

    public void setVersion(String value)

  Deprecated.
  Sets the version name of this plug-in prerequisite. This object must not be read-only.

  Parameters:
    `value` - the version name of this plug-in prerequisite. May be `null`.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.